body {
    font-size: .875rem;
}

.side-icons {
    width: 16px;
    vertical-align: text-bottom;
}

.sub-side-icons {
    vertical-align: text-bottom;
}

/*
 * Sidebar
 */
.sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 100; /* Behind the navbar */
    padding: 48px 0 0; /* Height of navbar */
    box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
}

.sidebar-sticky {
    position: relative;
    top: 0;
    height: calc(100vh - 48px);
    padding-top: .5rem;
    overflow-x: hidden;
    overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}

@supports ((position: -webkit-sticky) or (position: sticky)) {
    .sidebar-sticky {
        position: -webkit-sticky;
        position: sticky;
    }
}

.sidebar .nav-link {
    font-weight: 500;
    color: var(--bs-body-color);
}

.sidebar .nav-link .side-icons {
    margin-right: 4px;
    color: #999;
}

.sidebar .nav-link .sub-side-icons {
    color: #999;
}

.sidebar .nav-link.active {
    color: #007bff;
}

.sidebar .nav-link:hover  .side-icons,
.sidebar .nav-link.active .side-icons {
    color: inherit;
}

.sidebar .nav-link:hover  .sub-side-icons,
.sidebar .nav-link.active .sub-side-icons {
    color: inherit;
}

.sidebar-heading {
    font-size: .75rem;
    text-transform: uppercase;
}

/*
 * Content
 */
[role="main"] {
    padding-top: 70px; /* Space for fixed navbar */
}

@media (min-width: 768px) {
    [role="main"] {
        padding-top: 70px; /* Space for fixed navbar */
    }
}

/*
 * Navbar
 */
.navbar-brand {
    padding-top: .75rem;
    padding-bottom: .75rem;
    font-size: 1rem;
    background-color: rgba(0, 0, 0, .25);
    box-shadow: inset -1px 0 0 rgba(0, 0, 0, .25);
}

@media (max-width: 768px) {
    #sidebar {
        width: 48vw;
    }

    .navbar-brand {
        width: 48vw;
    }

    body.sidebar-collapsed #sidebar {
        margin-left: -48vw;
    }

    body:not(.sidebar-collapsed) main {
        filter: blur(2px);
    }
}

@media (min-width: 768px) {
    #sidebar {
        width: 20vw;
    }

    .navbar-brand {
        width: 20vw;
    }

    body.sidebar-collapsed #sidebar {
        margin-left: -20vw;
    }

    body:not(.sidebar-collapsed) {
        margin-left: 20vw;
    }
}

@media (min-width: 992px) {
    #sidebar {
        width: 16.6vw;
    }

    .navbar-brand {
        width: 16.6vw;
    }

    body.sidebar-collapsed #sidebar {
        margin-left: -16.6vw;
    }

    body:not(.sidebar-collapsed) {
        margin-left: 16.6vw;
    }
}


#sidebar {
    transition: margin-left .25s ease-in-out;
}

.side-btn {
    font-size: 1.8em;
}

body.sidebar-collapsed #sidebar .sidebar-button .side-btn {
    transform: rotate(180deg);
}

.sidebar-button .side-btn {
    display: block;
    width: auto;
    margin: auto;
    transition: transform .25s linear;
}

.sidebar-button {
    position: absolute;
    left: 100%;
    bottom: 5%;
    width: 3em;
    box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
    padding: .5em;
    border-radius: 0 8px 8px 0;
    cursor: pointer;
}

/*
 * SCROLLBAR
 */
.sidebar-sticky::-webkit-scrollbar {
    width: 0.4em;
}

.sidebar-sticky::-webkit-scrollbar-thumb {
    background-color: #81858a;
    border-radius: 10px;
}

.sidebar-sticky::-webkit-scrollbar-thumb:hover {
    background-color: #343a40;
    border-radius: 10px;
}

body::-webkit-scrollbar {
    width: 0.4em;
}

body::-webkit-scrollbar-track {
    background-color: #343a40;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
}

body::-webkit-scrollbar-thumb {
    background-color: #81858a;
    outline: 1px solid #81858a;
}